Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227210 - Review Request: gnucash-docs - documentation for gnucash
Summary: Review Request: gnucash-docs - documentation for gnucash
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-03 16:37 UTC by Bill Nottingham
Modified: 2014-03-17 03:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-09 03:58:14 UTC
tibbs: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Bill Nottingham 2007-02-03 16:37:57 UTC
Spec URL: http://people.redhat.com/notting/review/gnucash-docs.spec
SRPM URL: http://people.redhat.com/notting/review/
Description: docs from gnucash

I split these off from gnucash as suggested in bug 222388.

rpmlint seems clean, unless I botched it.

Comment 1 Kevin Fenzi 2007-02-13 19:46:38 UTC
Here's a review: 

See below - Package meets naming and packaging guidelines
See below - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GFDL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
ffc058efd0283a4b43ca31980c40db49  gnucash-docs-2.0.1.tar.bz2
ffc058efd0283a4b43ca31980c40db49  gnucash-docs-2.0.1.tar.bz2.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
See below - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version
OK - check for outstanding bugs on package.

Issues:

1. It looks like the standard that was decided on for naming documentation
subpackages is '-doc' not '-docs'... but then, this isn't really a subpackage, it's
named gnucash-docs upstream and distributed as a seperate tar, so I think
this is ok. Do you concur?

See:
http://www.fedoraproject.org/wiki/Packaging/NamingGuidelines#head-5ece6e38e05f6127ec27ae5b4584a8ac0a112849

2. This package installs under %{_datadir}/gnome/help, but doesn't own that
directory. Should it require some package that does own that directory?
I don't see any obvious good choices however... any thoughts there?



Comment 2 Bill Nottingham 2007-02-13 19:50:27 UTC
1. I'd agree - matching the upstream tarball is best.

2. Nothing relevant actually owns %{_datadir}/gnome/help. Sort of an impasse. :/



Comment 3 Bill Nottingham 2007-02-13 19:52:14 UTC
Bug 228561 filed re: yelp & %{_datadir}/gnome/help.

Comment 4 Bill Nottingham 2007-02-13 19:58:05 UTC
... and fixed. I suppose the yelp dep could move from gnucash proper to here.

Comment 5 Kevin Fenzi 2007-02-13 20:01:19 UTC
Wow...that was quick. ;) 

Yes, this package should be the one that requires yelp... it doesn't currently. 
I don't think off hand gnucash will need to require yelp anymore either... 




Comment 6 Bill Nottingham 2007-02-13 20:02:29 UTC
New spec/srpm uploaded.

Comment 7 Kevin Fenzi 2007-02-13 20:08:12 UTC
Looks good to me. I see no further blockers, so this package is APPROVED. 

Don't forget to close this NEXTRELEASE once it's imported and built. 

In order to move gnucash, gnucash-docs into the extras cvs, we also need 
abqbanking, right? Or will they need to all wait for the main core merge?


Comment 8 Bill Nottingham 2007-02-13 20:19:45 UTC
The whole stack is:

gwenhywfar (bug 221947) -\
libofx (bug 221944) ------> aqbanking (bug 222522)-\
gnucash-docs (bug 227210) --------------------------> gnucash (bug 222388)
g-wrap (bug 222347) -------------------------------/

Currently in APPROVED: gnucash, gnucash-docs, libofx, gwenhywfar

So, I could move gnucash/gnucash-docs, albeit reverting the minor packaging
changes that were there to work with the in-review aqbanking package. Or wait
for aqbanking to finish review.



Comment 9 Kevin Fenzi 2007-02-13 20:32:26 UTC
I could review aqbanking probibly later tonight... 

Comment 10 Bill Nottingham 2007-03-19 19:31:03 UTC
This is built now.

Comment 11 Bill Nottingham 2007-06-09 01:15:24 UTC
Package Change Request
======================
Package Name: gnucash-docs
New Branches: EL-4 EL-5

Comment 12 Jason Tibbitts 2007-06-09 03:58:14 UTC
CVS done.


Note You need to log in before you can comment on or make changes to this bug.